# azure.mgmt.kusto.operations module

class `azure.mgmt.kusto.operations.``ClustersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ClustersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2019-09-07”.

  `check_name_availability`(location, name, custom_headers=None, raw=False, **operation_config)

    Checks that the cluster name is valid and is not already in use.

    Parameters:

    - location (str) – Azure location.
    - name (str) – Cluster name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameResult or ClientRawResponse if raw=true
    Return type: | CheckNameResult or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, cluster_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - parameters (Cluster) – The Kusto cluster parameters supplied to the CreateOrUpdate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Cluster or ClientRawResponse<Cluster> if raw==True
    Return type: | AzureOperationPoller[Cluster] or AzureOperationPoller[ClientRawResponse[Cluster]]
    Raises: | `CloudError`

  `delete`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `detach_follower_databases`(resource_group_name, cluster_name, cluster_resource_id, attached_database_configuration_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Detaches all followers of a database owned by this cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - cluster_resource_id (str) – Resource id of the cluster that follows a database owned by this cluster.
    - attached_database_configuration_name (str) – Resource name of the attached database configuration in the follower cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Gets a Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Cluster or ClientRawResponse if raw=true
    Return type: | Cluster or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all Kusto clusters within a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Cluster
    Return type: | ClusterPaged[Cluster]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all Kusto clusters within a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Cluster
    Return type: | ClusterPaged[Cluster]
    Raises: | `CloudError`

  `list_follower_databases`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Returns a list of databases that are owned by this cluster and were followed by another cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of FollowerDatabaseDefinition
    Return type: | FollowerDatabaseDefinitionPaged[FollowerDatabaseDefinition]
    Raises: | `CloudError`

  `list_skus`(custom_headers=None, raw=False, **operation_config)

    Lists eligible SKUs for Kusto resource provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SkuDescription
    Return type: | SkuDescriptionPaged[SkuDescription]
    Raises: | `CloudError`

  `list_skus_by_resource`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Returns the SKUs available for the provided resource.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AzureResourceSku
    Return type: | AzureResourceSkuPaged[AzureResourceSku]
    Raises: | `CloudError`

  `start`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `stop`(resource_group_name, cluster_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stops a Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, cluster_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Update a Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - parameters (ClusterUpdate) – The Kusto cluster parameters supplied to the Update operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Cluster or ClientRawResponse<Cluster> if raw==True
    Return type: | AzureOperationPoller[Cluster] or AzureOperationPoller[ClientRawResponse[Cluster]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.kusto.models' from '/usr/lib/python3/dist-packages/azure/mgmt/kusto/models/__init__.py'>

class `azure.mgmt.kusto.operations.``DatabasesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DatabasesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2019-09-07”.

  `add_principals`(resource_group_name, cluster_name, database_name, value=None, custom_headers=None, raw=False, **operation_config)

    Add Database principals permissions.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - value (list[DatabasePrincipal]) – The list of Kusto database principals.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DatabasePrincipalListResult or ClientRawResponse if raw=true
    Return type: | DatabasePrincipalListResult or ClientRawResponse
    Raises: | `CloudError`

  `check_name_availability`(resource_group_name, cluster_name, name, type, custom_headers=None, raw=False, **operation_config)

    Checks that the database name is valid and is not already in use.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - name (str) – Resource name.
    - type (str or Type) – The type of resource, for instance Microsoft.Kusto/clusters/databases. Possible values include: ‘Microsoft.Kusto/clusters/databases’, ‘Microsoft.Kusto/clusters/attachedDatabaseConfigurations’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameResult or ClientRawResponse if raw=true
    Return type: | CheckNameResult or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, cluster_name, database_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a database.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - parameters (Database) – The database parameters supplied to the CreateOrUpdate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Database or ClientRawResponse<Database> if raw==True
    Return type: | AzureOperationPoller[Database] or AzureOperationPoller[ClientRawResponse[Database]]
    Raises: | `CloudError`

  `delete`(resource_group_name, cluster_name, database_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the database with the given name.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, cluster_name, database_name, custom_headers=None, raw=False, **operation_config)

    Returns a database.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Database or ClientRawResponse if raw=true
    Return type: | Database or ClientRawResponse
    Raises: | `CloudError`

  `list_by_cluster`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Returns the list of databases of the given Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Database
    Return type: | DatabasePaged[Database]
    Raises: | `CloudError`

  `list_principals`(resource_group_name, cluster_name, database_name, custom_headers=None, raw=False, **operation_config)

    Returns a list of database principals of the given Kusto cluster and database.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DatabasePrincipal
    Return type: | DatabasePrincipalPaged[DatabasePrincipal]
    Raises: | `CloudError`

  `remove_principals`(resource_group_name, cluster_name, database_name, value=None, custom_headers=None, raw=False, **operation_config)

    Remove Database principals permissions.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - value (list[DatabasePrincipal]) – The list of Kusto database principals.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DatabasePrincipalListResult or ClientRawResponse if raw=true
    Return type: | DatabasePrincipalListResult or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, cluster_name, database_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a database.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - parameters (Database) – The database parameters supplied to the Update operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Database or ClientRawResponse<Database> if raw==True
    Return type: | AzureOperationPoller[Database] or AzureOperationPoller[ClientRawResponse[Database]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.kusto.models' from '/usr/lib/python3/dist-packages/azure/mgmt/kusto/models/__init__.py'>

class `azure.mgmt.kusto.operations.``AttachedDatabaseConfigurationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AttachedDatabaseConfigurationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2019-09-07”.

  `create_or_update`(resource_group_name, cluster_name, attached_database_configuration_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an attached database configuration.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - attached_database_configuration_name (str) – The name of the attached database configuration.
    - parameters (AttachedDatabaseConfiguration) – The database parameters supplied to the CreateOrUpdate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns AttachedDatabaseConfiguration or ClientRawResponse<AttachedDatabaseConfiguration> if raw==True
    Return type: | AzureOperationPoller[AttachedDatabaseConfiguration] or AzureOperationPoller[ClientRawResponse[AttachedDatabaseConfiguration]]
    Raises: | `CloudError`

  `delete`(resource_group_name, cluster_name, attached_database_configuration_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the attached database configuration with the given name.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - attached_database_configuration_name (str) – The name of the attached database configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, cluster_name, attached_database_configuration_name, custom_headers=None, raw=False, **operation_config)

    Returns an attached database configuration.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - attached_database_configuration_name (str) – The name of the attached database configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AttachedDatabaseConfiguration or ClientRawResponse if raw=true
    Return type: | AttachedDatabaseConfiguration or ClientRawResponse
    Raises: | `CloudError`

  `list_by_cluster`(resource_group_name, cluster_name, custom_headers=None, raw=False, **operation_config)

    Returns the list of attached database configurations of the given Kusto cluster.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AttachedDatabaseConfiguration
    Return type: | AttachedDatabaseConfigurationPaged[AttachedDatabaseConfiguration]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.kusto.models' from '/usr/lib/python3/dist-packages/azure/mgmt/kusto/models/__init__.py'>

class `azure.mgmt.kusto.operations.``DataConnectionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DataConnectionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2019-09-07”.

  `check_name_availability`(resource_group_name, cluster_name, database_name, name, custom_headers=None, raw=False, **operation_config)

    Checks that the data connection name is valid and is not already in use.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - name (str) – Data Connection name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameResult or ClientRawResponse if raw=true
    Return type: | CheckNameResult or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, cluster_name, database_name, data_connection_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a data connection.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - data_connection_name (str) – The name of the data connection.
    - parameters (DataConnection) – The data connection parameters supplied to the CreateOrUpdate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DataConnection or ClientRawResponse<DataConnection> if raw==True
    Return type: | AzureOperationPoller[DataConnection] or AzureOperationPoller[ClientRawResponse[DataConnection]]
    Raises: | `CloudError`

  `data_connection_validation_method`(resource_group_name, cluster_name, database_name, data_connection_name=None, properties=None, custom_headers=None, raw=False, **operation_config)

    Checks that the data connection parameters are valid.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - data_connection_name (str) – The name of the data connection.
    - properties (DataConnection) – The data connection properties to validate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DataConnectionValidationListResult or ClientRawResponse if raw=true
    Return type: | DataConnectionValidationListResult or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, cluster_name, database_name, data_connection_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the data connection with the given name.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - data_connection_name (str) – The name of the data connection.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, cluster_name, database_name, data_connection_name, custom_headers=None, raw=False, **operation_config)

    Returns a data connection.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - data_connection_name (str) – The name of the data connection.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DataConnection or ClientRawResponse if raw=true
    Return type: | DataConnection or ClientRawResponse
    Raises: | `CloudError`

  `list_by_database`(resource_group_name, cluster_name, database_name, custom_headers=None, raw=False, **operation_config)

    Returns the list of data connections of the given Kusto database.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DataConnection
    Return type: | DataConnectionPaged[DataConnection]
    Raises: | `CloudError`

  `update`(resource_group_name, cluster_name, database_name, data_connection_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a data connection.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Kusto cluster.
    - cluster_name (str) – The name of the Kusto cluster.
    - database_name (str) – The name of the database in the Kusto cluster.
    - data_connection_name (str) – The name of the data connection.
    - parameters (DataConnection) – The data connection parameters supplied to the Update operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DataConnection or ClientRawResponse<DataConnection> if raw==True
    Return type: | AzureOperationPoller[DataConnection] or AzureOperationPoller[ClientRawResponse[DataConnection]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.kusto.models' from '/usr/lib/python3/dist-packages/azure/mgmt/kusto/models/__init__.py'>

class `azure.mgmt.kusto.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2019-09-07”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists available operations for the Microsoft.Kusto provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.kusto.models' from '/usr/lib/python3/dist-packages/azure/mgmt/kusto/models/__init__.py'>